
/* 
 * This program demonstrates how to calibrate a resistive sensor by 
 * printing the values you get back from the sensor to the serial
 * monitor. You can eyeball the values and get a good feel for the
 * range of values you can expect from the sensor. 
 */
 
int sensorPin = A0;      // select the input pin for the potentiometer
int sensorValue = 0;     // variable to store the value coming from the sensor

void setup() {
Serial.begin(9600);      // Init serial communication at 9600 baud
}

void loop() {
  sensorValue = analogRead(sensorPin); // read the value from the sensor:
  Serial.print("Sensor value is: ");   // print a message
  Serial.println(sensorValue);         // print the value you got
  delay(50);                           // wait so you don’t print too much! 
}
// VERY useful for getting a feel for the range of values coming in
// Remember to open the Serial Monitor to see the values 
