/* 
 * This program makes an LED flicker like a candle. 
 * It uses the "random" function to set the LED's brightness to 
 * a random value, and waits for a random delay before changing it 
 * again. 
 * Note that the pin that the LED is conencted to must be one of the 
 * PWM pins (pins 3, 5, 6 9, 10, 11). 
 */

int ledPin = 9;		// select pin for LED output (must be a PWM pin)
int bright = 0;		// Variable to hold LED brightness
int time = 0; 		// variable to hold delay time

void setup () {
  randomSeed(0);	 // initialize the random function (not really needed)
  pinMode(ledPin, OUTPUT); // ledPin should be an output
}

void loop () {
  bright = random(100, 256);   	// random brightness value
  analogWrite(ledPin, bright);  // set the LED brightness

  time = random(10,150);	// random time in ms
  delay(time);			// delay for that time
}

