/* 
 * This program makes an LED flicker like a candle. 
 * It uses the "random" function to set the LED's brightness to 
 * a random value, and waits for a random delay before changing it 
 * again. 
 * Note that the pin that the LED is conencted to must be one of the 
 * PWM pins (pins 3, 5, 6 9, 10, 11). 
 */

int ledPin = 9;		           // select pin for LED output

void setup () {
  pinMode(ledPin, OUTPUT);        // ledPin should be output
}

void loop () {
  analogWrite(ledPin, random(100, 256));  // Random LED brightness
  delay(random(10,150));                  // delay for random time
}


